jQuery: sus versiones y el conflicto entre ellas

5 de octubre de 2011 200 comentarios ,
Muchos conocen y usan jQuery, la librería de efectos de mayor uso por los fantásticos plugins que ofrece. Quienes lo usan saben que no es compatible con algunas librerías de efectos pero también cómo solucionar esa incompatibilidad.
Sin embargo, algunas veces ponemos dos o más gadgets que usan jQuery y las cosas no resultan tan bien cómo esperábamos. La razón en la mayoría de los casos es que cada vez que ponemos un gadget o un efecto agregamos jQuery de nuevo, así que la plantilla se va llenando de varias versiones de jQuery y aquí es donde se genera el conflicto y las cosas no funcionan.

¿Qué hacer? Primero que nada procurar tener siempre la última versión de jQuery, al día de hoy 1 de mayo de 2014 la versión más actual es la 2.1.0, pero para que puedas estar al tanto de cuál es la última versión visita el catálogo de librerías de Google API, ahí verás la última versión estable de jQuery y la URL del script.

¿Cómo lo ponemos? Siempre antes de </head> o después de <head> una línea así:
<script src='http://ajax.googleapis.com/ajax/libs/jquery/2.1.0/jquery.min.js' type='text/javascript'/>

Lo segundo es, ya puesta la última versión de jQuery procedemos a buscar las versiones antiguas y eliminarlas una por una. Para hacerlo más fácil usa las teclas CTRL + F y usa el término jquery/ para encontrarlo. Deberá estar como la línea anterior aunque la URL no sea exactamente igual, esto es porque puede estar alojado en otro servidor.
Una vez que localices una versión anterior, por ejemplo la 2.1.0, elimínala, guarda los cambios y revisa que todo lo que requiera jQuery siga funcionando, si todo está bien regresa a buscar más versiones antiguas (o repetidas) y elimínalas.

Tenemos que hacerlo una por una y cada vez que lo hagamos revisar que todo funcione, esto es porque algunos plugins funcionan sólo con determinada versión de jQuery, así que es probable que algún gadget o efecto pueda funcionar unicamente con una versión antigua. En esos casos lo ideal es buscar un gadget similar que sí funcione con la última versión para evitar depender de un script anticuado.

Habiendo eliminado las versiones repetidas, o antiguas de jQuery tendrás un blog que no sólo cargará un poco más rápido sino que evitarás conflictos entre las diferentes versiones de jQuery.
Así que cada vez que uses algo que necesita jQuery, no necesitas agregar el script de nuevo, si ya lo tienes continua con los demás pasos, y sino funciona entones es probable que ese "algo" que has agregado sólo funcione con una versión en particular.


200 comentarios en:

" jQuery: sus versiones y el conflicto entre ellas "

  1. Gracias potro. Solo tenia una version de jquery 1.6.1, la cambie por la que dejaste en el post y todo funciona de 10!

    ResponderEliminar
    Respuestas
    1. LA VERDAD YO SIGO SUFRIENDO CON ESO...TENGO UN MENU EMERGENTE EN EL CUAL DESPLIEGAN UNOS DE LOS BOTONES Y ES UN JQUERY...Y DEBAJO ESTOY HACIENDO UNA GALERIA CON UN FANCYBOX JQUERY...Y SI QUITO EL JQUERY DEL MENU, FUNCIONA MUY BIEN LA GALERIA Y ABRE LA VENTANA, PERO SI PONGO EL JQUERY DEL MENU DEJA DE FUNCIONAR LA GALERIA...QUE PUEDO HACER...OJALA Y PUEDAN AYUDARME...GRACIAS...SALU2X...

      Eliminar
    2. Algunos scripts no son compatibles entre ellos, otros sólo funcionan sólo con una versión específica de jQuery. Si ya has probado dejando sólo una versión de jQuery hasta arriba de todo y así no te funciona entonces habrá que elegir entre uno u otro.

      Eliminar
    3. Hola, yo tengo un conclicto algo raro, uso Jquery 1.7.1 en mi página PHP y me funcionan los plugins, pero hice una clase en php que necesita esta versión de jquery, pero como el fichero de la clase es largo puse un "Include_once", ahora a pesar de que la clase usa esa misma versión, cuando cargo la clase me dejan de funcionar los plugins, no sé que estará pasando?.

      Si alguien me puede ayudar. Les agradezco.

      Eliminar
    4. No sabría cómo ayudarte Manuel, de PHP sé muy poco, por no decir que nada :(

      Eliminar
  2. ami me funciona a la perfeccion saludos desde colombia mi sitio hay va creciendo gracias a ciudad blogger http://www.descargardvdriplatino.net/

    ResponderEliminar
  3. gracias potro aunque nunca lo use espero poder usarlo por que he visto las cosas que se pueden hacer con la librería

    ResponderEliminar
  4. Me llevo la nueva Verción de Jquery Gracias :3

    ResponderEliminar
  5. Te falto la "C" en el titulo del articulo, por lo demas gracias :D!

    ResponderEliminar
  6. Castro Javier, debo confesar que si no redactaba la entrada tampoco me hubiera enterado de la versión 1.6.4, pues igual tenía la misma que tú :P

    Bestia Games, en lo absoluto, va creciendo gracias a tu dedicación :D

    ResponderEliminar
  7. Jhonnysan, son muchísimas cosas, si pones en el buscador de aquí 'jQuery' encontrarás varios temas que usan esa librería.

    CarDanKinectgracias a ti por tu visita!

    Black, muchas gracias por la observación, ya está corregido :)

    ResponderEliminar
  8. Desafortunadamente no me pude quedar con sólo una versión de jQuery, ya que tengo algunos scripts que requieren de versiones antiguas.

    Tendré presente este catálogo del link que nos compartes.

    ¡Gracias, Potro!

    ResponderEliminar
  9. Lo que mencionas de tener la última versión de jQuery es bien importante, y sobre todo usar la librería CDN de Google.

    http://encosia.com/3-reasons-why-you-should-let-google-host-jquery-for-you/

    ...y esta es una Investigación, super que habla al respecto:

    http://encosia.com/6953-reasons-why-i-still-let-google-host-jquery-for-me/

    Si todos lo hicieran hubiera un beneficio enorme en cuanto al caché se refiere, entre otros, por ejemplo, si alguien visita tu blog, y usas jQuery, al volver a visitarte ya no tendrá que descargarse de nuevo jQuery pues este estará almacenado en el caché.

    Para ello es importante usar la versión completa como lo escribes, no el sistema de versiones de Google en donde es posible descargarla versión mas nueva disponible; aquí puedes ver cuanto tiempo dura en el caché, según la investigación que hizo Paul Irish, quien es miembro del equipo de jQuery:

    http://paulirish.com/2009/caching-and-googles-ajax-libraries-api/

    Existe una técnica en la que se vincula jQuery u otros enlaces, usando una URL relativa, es decir, sin usar el protocolo "HTTP" o "HTTPS", según el caso, lo cual según dicen en Encosia, y otros sitios, evita hacer una petición HTTP.

    Ok, Potro, solo que no es necesario usar el protocolo HTTPS, ya que nuestro blog no lo es, aunque también funcione :).

    Salu2!!

    ResponderEliminar
  10. Hola Podra ayudame please primero una pequeña preguntita con esto podria usar 2 carruseles ??

    ahora es sobre mi sitemap y sobre el robots.txt la verdad un amigo entro a mi web y me dijo no tienes muchas visitas por q no tienes sitemap y ni robots.txt entonces entre a webmaster y borre mis sitemaps y agregue el meta q me da google analytics por que en tu post de enviar un sitemap a Google sale que debemos poner un meta pero no me sale esa opcion, la verdad podrias ayudar man explicandome mas sobre esto. gracias

    ResponderEliminar
  11. Hola potro, me puede ayudar explicandome como quitar el memsaje de (publicado por "autor")que aparece en todas las entradas, es que quiero que no aparezca quien creo la entrada.

    Gracias por esta web me a servido mucho en la creacion de mi blog

    ResponderEliminar
  12. Las Noticias de Tulum, gracias a ti por tu visita!

    ResponderEliminar
  13. Karla, interesantes los enlaces que has referido. Sin duda es mejor dejar que Google los aloje, pero entre los tantos beneficios el más útil de todos es el que mencionas de la caché, eso se traduce a blogs más rápidos, y un blog más rápido es un Google más contento :)

    ResponderEliminar
  14. FarStar, jQuery no tiene que ver con el número de gadgets que pongas, eso depende del plugin que hace trabajar en este caso al carrusel.
    En lo otro no hubieras hecho mucho caso a tu amigo (sin afán de desmeritarlo), pues todos los blogs de Blogger contienen el archivo robots.txt y puedes corroborarlo si al final de la dirección de tu blog pones robots.txt

    Del sitemap sólo mira de nuevo la entrada, ahí dice cómo enviar el sitemap, es todo lo que necesitas para enviar el sitemap, no requieres de algo más.

    ResponderEliminar
  15. zzz, si usas la interfaz antigua de Blogger entra en Diseño > Elementos de entrada y click en Editar sobre Entradas del blog, ahí desmarca la opción del autor.
    Si usas la interfaz nueva entra en Diseño y click en Editar sobre Entradas del blog, de igual forma desmarca las opciones que no quieras que se vean en las entradas.

    ResponderEliminar
  16. De diez!!!!me solucionaste el problema del slider y lightbox que no andaban juntos y no sabia porque..era simplemente esto!!!chas gracias!

    ResponderEliminar
    Respuestas
    1. yo no pude hacerlo...:( no me funcionan el slide con el fanbox juntos en mi blog,el slide como debo hacer??? a cada uno le pongoel mismo jquery? o sea al slide jquery/1.7.1 type='text/javascript'/> y al fanbox tambien jquery/1.7.1 ???

      Eliminar
    2. No, como dice en la entrada, no hace falta tener versiones ni antiguas ni repetidas, así que si ya tienes la 1.7.1 hay que quedarse sólo con esa.

      Eliminar
  17. Que pasa si no tengo ningun jQquery?? tengo uno pero es http://code.jquery.com/jquery-latest.js es de los sexy bookmarks de todoblogger xD hay problema? es recomendable añadir jquery? O:

    ResponderEliminar
  18. Gracias Potro como siempre ayudando eficazmente, lo que sucede es que hice un blog con el diseñador de plantillas y le he puesto cositas que encuentro en este blog pero no he podido quitar un fondo gris que esta entre la entrada (que es blanca) y el fondo externo(que es negro)
    Asi que en este momento tengo un color de fondo negro le sigue un color gris y luego el de la entrada que es blanco. quiero cambiar el gris por un blanco pero no me deja desde el diseñador de plantillas. ¿que puedo hacer?

    ResponderEliminar
  19. Gracias, Potro.
    A la verdad, si no es porque tú nos lo dijiste aquí, nunca se me había ocurrido buscar si tenía varias versiones de jquery en mi blog.
    Pero al buscar, como nos indicaste aquí, solo me apareció una versión y fue esta:
    http://ajax.googleapis.com/ajax/libs/jquery/1.3/jquery.min.js
    No sé cuán antigua sería esa, pero ya la cambié por la última versión.
    He revisado para ver si mi blog sigue funcionando bien y al parecer, todo está OK (hasta donde he logrado ver).
    Pero es que a la verdad, con tantas cosas que he puesto y he quitado en mi plantilla a lo largo del tiempo, ahora no tengo ni idea de qué funciones en mi blog son las que estaría controlando esa librería, para poder comprobar que todo está bien.
    ¿Me podrías decir, solo a grosso modo, qué tipo de gadgets o funciones suele controlar el jquery, para poder revisar mejor? Es que hasta me parece que con mi plantilla actual, ya ni estoy usando jQuery; y si ese fuera el caso, quizás me convendría quitarlo.
    Muchas, muchas gracias, de antemano.

    ResponderEliminar
  20. Potro te sigo leyendo, pero no coments ¡cómo puede ser! :)

    Caramba, hay que actualizarlas, sabía lo de Google, pero no de ésta librería.

    Abrazos y sigue dando rienda suelta a la imaginación, mientras tanto te leo :)

    ResponderEliminar
  21. Buenas Potro, ya tome nota y lo tendre en cuenta cuando use algun otro truco con JQuery, por ahora me viene bien para el S3Slider que lo tenia con la version antigua...
    Saludos!! :D

    ResponderEliminar
  22. Yo tengo 5 versiones distintas.

    La gracias es que lo primero que he hecho es añadir el que propones. Guardo y compruebo que no funcionan muchos efectos (como el de las flechas de ir arriba o abajo).

    Voy borrando de a uno y comprobando. Y sigue sin funcionar los efectos. Solo me funcionan si dejo mi codigo con las 5 versiones y no añado la ultima versión.

    WTF!

    ResponderEliminar
  23. wallypesca, gracias a ti por tu visita!

    TutoGeek, ese es jQuery, de hecho si abres el enlace verás que es la última versión. Está bien, pero es mejor si está alojado en Google por varias razones, entre ellas la velocidad de carga.

    ResponderEliminar
  24. zzz, esa es una imagen de fondo, pero tienes que eliminarla desde la edición de HTML.
    Busca esta parte:
    .main-outer {
    background: $(main.background) ;

    Cambia lo que está en negrita por:
    #ffffff

    Con eso se irá el fondo gris y quedará en color blanco.

    ResponderEliminar
  25. Hola Vicky,

    De hecho la versión 1.3 sí es algo antigua, me parece que tiene cerca de 2 años que salió (ya sabes que en tecnología 2 años es como 2 décadas).
    Usualmente jQuery se usa para dar efectos, por ejemplo algún slider con efecto de desvanecimiento, o algún gadget que tenga efecto deslizante, etc., ese tipo de efectos son lo más recurrentes en jQuery aunque las posibilidades son innumerables.
    Si tienes algunos de esos gadgets con efectos entonces es muy probable que lo estés usando. Igual puedes ver si hay algún script que lo necesite, lo podrás identificar porque suelen empezar algo así:

    <script type='text/javascript'>
    $(document).ready(function() {a

    El signo $ es el más característico en los scripts de jQuery, pero bueno, sólo es cuestión de hacer memoria y recordar si tienes algún gadget con este tipo de efectos para saber si aún lo estás usando o no.

    Saludos.

    ResponderEliminar
  26. Graciela, ya iba a ponerte un tache en asistencia :)
    Qué gusto leerte de nuevo por aquí, ¡un saludo!

    ResponderEliminar
  27. javi_anubis, he querido ir actualizando las entradas antiguas (como la del S3slider) con la nueva versión de jQuery pero como se actualiza a cada rato sería un trabajo de nunca acabar, así que me resulta mejor con esta entrada :)

    William Manney, a eso me refería con que algunos plugins sólo funcionan con determinada versión. Habrá que esperar para ver si en una siguiente versión ya son compatibles.

    ResponderEliminar
  28. Gracias Potro, como siempre las mejores soluciones estan aqui en Ciudad Blogger.

    Muchas Gracias nuevamente.

    ResponderEliminar
  29. Muy buena e importante información Potro gracias por la información quería hacerte una consulta si me la pudieses responder ,ya que he buscado y no encontrado respuesta .Mira te explico , paso lo siguiente lo que por primera vez que me ocurre estaba creando un blog y paso que tenia la sección de la pestaña diseño normal se visualizaba todas las secciones agregadas y de momento se puso en blanco y solo me aparece la pestaña del favicon , no se si a ti te habrá ocurrido en algún momento pero no he podido arreglarlo por ahora bueno ese es mi problema te dejo una foto subida ha gigasize para ver si me puedes dar una mano aunque tengo una posible solución pero es muy radical bueno ojala puedas encontrar una solución para mi problema sino no importa tenia un plan b y c y un d ya que haciendo blogger he adoptado un poco de experiencia pero este me sobrepaso bye cuídate y sigue así con tu blog que esta muy bueno

    http://www.gigasize.com/get/f3kd34kmsjc

    debes descargarla

    ResponderEliminar
  30. Hola potro:
    sabes como puedo poner al final de la entrada los botones de compartir encima de una imagen como en taringa aqui te dejo algo de muestra.
    http://www.taringa.net/posts/taringa/12738140/Evitemos-repetir-los-mismo-posts.html fijate al final del post.

    otra cosa sabes como puedo dejar algo en la mitad de las entradas algo que sea automatico que no me toce ciempre ponerlo ejemplo asi como aqui: http://www.gnula.tv/intriga/ver-cleaner-2007-online/ ahy puedes fijarte ciempre sale debajo de los videos que dice "Haz clic aquí para saltarte la limitación de tiempo de los vídeos" y me gustaria saber como puedo agrupar videos asi =D perdon las molestias potro muchas graciaaaass!

    ResponderEliminar
  31. Gracias, Potro por la aclaración, pues me sirvió mucho. Me puse a buscar y me di cuenta de que tengo un gadget que aprendí en tu entrada "Anuncios rotativos con jQuery". Lo que pasa es que como el banner era de texto, ni me acordaba que usara jQuery, pues yo tendía a relacionar el jQuery con galerías de imágenes y cosas así.
    Así que, por lo tanto, el jQuery se queda conmigo, je, je.
    Gracias por todo y saludos!

    ResponderEliminar
  32. Hola que tal antes que nada me encanta este pagina me ha ayudado muchisimo en mi blog...quisiera saber si me pueden ayudar..tengo un blog..de anime, peliculas y series...pero necesito saber como puedo hacer para enlazar las entradas por capitulo...por ejemplo supongamos que estas viendo la series "x" capitulo 3, y quieres ver la 2 o la 4 halla una flecha o algo que indique capitulo anterior o siguiente capitulo ¿si me explique?

    Dejo el link de mi blog y en espera de su respuesta.

    http://animetotal-at.blogspot.com/

    ResponderEliminar
  33. Hola que tal potro hai algun problema si alojo el jQuery en Dropbox ?

    saluds

    ResponderEliminar
  34. Hola Potro, gracias por tu post... aprovecho para desearte un feliz fin de semana tanto para tí como para todos los usuarios de ciudadblogger, un abrazo Potro

    ResponderEliminar
  35. Si tienes razón Potro "la cache", me "cachaste en mi error gramatical" jaja, pero no me contestaste ¿por qué usas protocolo HTTPS, en lugar de HTTP?, si nuestro sitio no está encriptado.

    ResponderEliminar
  36. zzz, por nada!

    ★Xx...Atem...xX★, no pude ver la imagen porque en Chrome me bloquea todo de ese sitio y en FF aparece error. Si subes de nuevo una imagen hazlo en Picasa. Saludos.

    ResponderEliminar
  37. Cinecolombi, puedes hacerlo usando una tabla y ponerle una imagen de fondo a la tabla, pero... igual si me esperas un poco después publicaré eso porque parece que a más de uno le gustó la idea de copiarselo a Taringa, jaja.
    Si quieres que algo esté siempre en las entradas sólo entra en Configuración > Formato > Plantilla de entrada, y ahí escribe lo que quieres que siempre aparezca en tus entradas.
    Si usas la nueva interfaz entra en Configuración > Entradas y comentarios > Plantilla de entrada.

    Para agrupar los videos así puedes usar un tabview:
    http://ciudadblogger.com/2011/06/tabview-para-agrupar-varios-gadgets-en.html

    Saludos!

    ResponderEliminar
  38. Vicky, pues justo ese es uno de esos gadgets que tienen ese efecto de desvanecimiento. Qué bueno que te quedes con él, a mí me gusta mucho :)

    zetsu187, si quieres especificarlo dentro de la entrada lo único que se me ocurre es que tú manualmente pongas los enlaces a los demás capítulos. Pero algo más cómodo sería que etiquetes tus entradas, por ejemplo "Captain America", de esa forma si el lector da click en esa etiqueta accederá a todas las entradas que tengan esa etiqueta y les será más fácil encontrar los capítulos que quieren o no han visto.

    ResponderEliminar
  39. TuMultitec, ninguno, pero será más lenta la carga del script.

    MaGoS RaDioMuSiC, gracias, que igual la pases estupendo, y aun sigo esperando el disco de Ciudad Blogger ¡eh! jajaja :D

    ResponderEliminar
  40. Karla, únicamente porque tomo la URL que muestra Google APIS en su catálogo, así como cuando tomo la URL de una imagen de Picasa que aunque nuestros sitios no están encriptados la URL de las imágenes usa protocolo HTTPS y aún funciona.
    Lo de "la caché" no importa, no lo había notado ;)

    ResponderEliminar
  41. Potro... Como andas?
    Una consulta capo, si en blogger miro los comentarios de mi blog dice que hay 1220, pero para el gadget como el que tu tienes, La Ciudad tiene, dice que sólo hay 1209, por qué puede ser?
    http://www.planeta-grandt.com.ar/feeds/comments/default?alt=json-in-script&callback=showpostcount

    ResponderEliminar
  42. u.u potro quiero llorar veras quiero contratar un banner de los tuyos de 125x125 pero soy algo menor y aun no tengo tarjeta de credito y mi tengo el dinero en efectivo y mi padre no me quiere presatr tu tarjeta xD lorrare jaja :( este es mi blog para los que le gustan los videojuegos www.sectiongamer.co.cc

    ResponderEliminar
  43. Pozo+10™, hazle caso al de Blogger, el del gadget como trabaja con jSon puede ser lento en recopilar todos los datos.

    Dexmax, tranquilo, ya habrá tiempo para todo ;)

    ResponderEliminar
  44. Gracias Potro!
    Me podrías pasar algún correo para contactarme contigo? Es para que me ayudes a modificar algo. Sino ecribime a info(arroba)planeta-grandt.com.ar y te respondo con mi consulta.
    Saludos!

    ResponderEliminar
  45. Este comentario ha sido eliminado por el autor.

    ResponderEliminar
  46. potro ultimamente en mi blog hay un error. cuando coloco una encuesta y quiero poner un comentario, en vez del cuadro para escribir el comentario, me sale la encuesta... sabes como arreglarlo?
    http://campamentoweb.blogspot.com

    ResponderEliminar
  47. Pozo+10™, en un rato más habilito el formulario de contacto ;)

    jose m, gracias por tu interés en compartir. De hecho el problema del PR parece que ya la mayoría de los plugins lo han resuelto, al menos todos los que he visitado parecen haber actualizado la URL que entrega el dato del PR, misma que Google había modificado. Pero nuevamente gracias!

    ResponderEliminar
  48. CampamentoWeb, ¿no será el navegador? Yo lo abro con Chrome y me aparece el formulario de comentarios :/

    ResponderEliminar
  49. Por favor Potro, lee esta entrada completa, incluyendo los comentarios, y tu decides si cambias eso o no:

    http://encosia.com/cripple-the-google-cdns-caching-with-a-single-character/

    Podrías incluso usar URL relativa, puede dar miedo, pero es totalmente válido.
    Esto solo pudiera afectar a los enlaces de las hojas de estilos, ya que se descargan 2 veces en IE7, pero para jQuery es perfecto.

    http://blog.httpwatch.com/2010/02/10/using-protocol-relative-urls-to-switch-between-http-and-https/

    Salu2!!.

    ResponderEliminar
  50. Potro! hay alguna forma para que cuando alguien comparta un link de nuestro blog en facebook en vez de que salga una imagen al azar y la descripcion al azar, salga una imagen y una descripcion personalizada? O: no tiene nada que ver con metatags?

    ResponderEliminar
  51. Ya te mande mi consulta Potro.
    Gracias!

    ResponderEliminar
  52. Hola Potro! oyes fuera de este tema, me gustaria saber si se puede personalizar la pagina de blogger que te dice: no se encuentra la pagina
    Lo sentimos, la página que estabas buscando en el blog MIPAGINA no existe. ??

    ResponderEliminar
  53. pixeltuxpan.com, aún no se puede modificar la pagina no encontrada en Blogger, sería un error 404. Ya somo muchos que queremos que habiliten los de Blogger para poder personalizarlo, hay forma de escribirle a Blogger? O podemos crear una pregunta en el Foro de Blogger? Y lo comentamos todos los que queremos ese cambio.

    ResponderEliminar
  54. Potro yo de nuevo :), Tengo un problema porque el sistema Disqus no cambia el numero de comentarios de mis entradas? si creo una nueva y comenta un usuario por ejemplo sigue con Publicar un comentario?? y nunca se actualiza, se queda como si no tuviese disqus y tuviese el sistema de comentarios de blogger D:

    ResponderEliminar
  55. ahy potro, esas vacaciones le sentaron mal, no estas sacando casi trucos =(

    ResponderEliminar
  56. Karla, para CSS y demás elementos no sé qué tan benéfico sea pero con al menos con jQuery mejor usaré HTTP, a ver si al menos guardando más copias de caché se puede recuperar unas milésimas de segundos (parezco obsesionado por el tiempo pero no :P )
    Vaya, todos los días se aprende algo nuevo, gracias por los enlaces de referencia :)
    Que tengas buen inicio de semana!

    ResponderEliminar
  57. TutoGeek, usando la metatag 'description' debería hacer que se muestre la descripción del blog también en Facebook. Y para que tengas una imagen predeterminada usa esta otra metatag:
    <meta content='URL de la imagen' property='og:image'/>

    ResponderEliminar
  58. Pozo+10™, al rato reviso los correos del formulario ;)

    pixeltuxpan.com, como bien te dice Pozo+10™ las páginas de error del tipo 404 no se pueden modificar en Blogger.

    ResponderEliminar
  59. TutoGeek, de Disqus no sé mucho, tal vez en el sitio tengan un foro de ayuda o te falté un paso por seguir, no lo sé :/

    Carlos Martinez, sí caray, ya hasta estoy pensando cerrar el blog :(

    ResponderEliminar
  60. Esta bien, me creare otro blog xd sirve que me distraiga diseñando.

    ResponderEliminar
  61. uy nononno potro eso nunca como bas a cerrarlo, como nos guiaremos. :'(

    ResponderEliminar
  62. Muchas gracias Potro en un rato lo estaré modificando.
    Espero lo de cerrar el blog haya sido un chiste, no puede cerrar el gran blog del bloggero number one! :(

    ResponderEliminar
  63. Chico del Cereal, pero cuidado, que crear muchos blogs puede generar una ligera adicción :P

    Carlos Martinez, por suerte lo que sobran son blogs de ayuda, así que pierde cuidado ;)

    Pozo+10™, pues... ya veremos ;)

    ResponderEliminar
  64. Potro como programo un sistema en mi correo de google, que cuando alguien me mande un correo recibe uno de parte mia, como de cortesia o algo asi, sabes de algo asi?

    ResponderEliminar
  65. Potro, ni al caso con la entrada la pregunta, pero quiero saber como hiciste para poner esa área que dice "La ciudad tiene" y que vienen tus días de vida, las entradas... ya sabes cual digo verdad? sip ese mero quiero!

    ResponderEliminar
  66. WEB, depende qué servicio de correo uses. Busca en Google "Responder automáticamente correos", ahí verás cómo se hace en los distintos servicios de mail.

    bellalice wayland, ese puedes verlo aquí:
    http://ciudadblogger.com/2009/09/gadget-de-estadisticas-del-blog.html

    ResponderEliminar
  67. BUENAS TARDES A LA CIUDAD!!

    soy bruno, encontre esta pagina hace un tiempito y la verdad q es muy buena. muy prolijos los post y de gran utilidad..

    entro seguido a leerlos
    PERDON SI DESVIRTUO EL POST..

    solo q ahora me toco un problemita a mi jaja

    potro resulta q cree una nueva cuenta y nuevo blog, descargue una linda plantilla y anda de diez!
    salvo q las ''pagina'' se publican pero no abre el post, osea solo publica el perfil pero no abre..

    por supuesto q revise tus post sobre ''paginas'' ''ocultar entradas''(para utilizarlas de paginas estaticas) REVISE TODO LA CIUDAD Y NADA!!

    DEBE SER UNA TONTERIA PERO NO ENCUENTRO LOS CODIGOS YA Q EL Q HIZO LA PLANTILLA EN SU DEMO MUESTRA UNA PAGINA...

    PORFA SE Q SOS EL UNICO Q ENTIENDE ESTAS COSAS..

    TE ENVIO UN MAIL PUEDE SER?

    UN ABRAZO GENTE

    ResponderEliminar
  68. Buenas tardes zoom,

    Por ahora no hace falta el mail, sólo necesitaría la URL de la página que no puedes ver para darme una idea de qué pueda estar pasando. Quizá es como dices, alguna condicional que afecta las páginas, pero para estar seguros es mejor ver en vivo el problema que mencionas.

    Saludos.

    ResponderEliminar
  69. GRACIAS POR LA RESPUESTA POTRO.

    EL BLOG ES ESTE http://photorew.blogspot.com/

    EN LA PORTADA COMO VERAS SE MUESTRAN ''PERFILES'' NORMALMENTE..

    Y TIENE LA FUNCION ''CREAR PAGINAS'' TAMBIEN ACTIVADA, PERO NO SE VE LA VISTA PREVIA Y CUANDO PUBLICAS APARECE EL PERFIL, SUBE LA VENTANITA DE ''ENTRAR'' PERO NO ABRE.
    PARA COLMO NECESITO SI O SI CREAR PAGINAS PARA ALGUNAS SECCIONES...


    TAMBIEN QUERIA SABER SI SE ARREGLA, SI NO ABRA DRAMA Q LE COLOQUE DOMINIO .COM YA Q ASI LO NECESITO..

    TE AGRADEZCO POTRO, LO Q NECESITES AVISAME

    ResponderEliminar
  70. AH DISCULPA, ME HABIAS PEDIDO UN ENLACE DE UNA ''PAGINA''

    AQUI CREE ESTA... VES ASI QUEDA Y NO ABRE...

    http://photorew.blogspot.com/p/nueva-pagina-nosotros.html

    ResponderEliminar
  71. HOY HABIA ESCRITO UN MENSAJE ABAJO DE TU RESPUESTA(UN POCO MAS REDACTADO)Y NO LO VI MAS..
    PERO AHI TE PUBLIQUE UNA PAGINA PARA Q VEAS..QUEDA ASI Y NO ABRE..

    ResponderEliminar
  72. Gracias Potro! Ya esta puesto en mi página el gadget de las estadísticas y me encanta como se ve! Es sencillo y muestra solo lo que quiero! Eres un maestro!

    ResponderEliminar
  73. Hola de nuevo zoom,

    A ver si esto funciona, sino tendrás que ponerte en contacto con el autor de la plantilla para que te diga cómo actualizar el código para las páginas independientes.
    Expande los artilugios, busca esta línea y agrega lo que está en negrita:

    <b:if cond='data:blog.pageType != &quot;static_page&quot;'>
    <b:if cond='data:blog.pageType != &quot;item&quot;'> <!--main page-->

    Luego busca esta otra y de igual forma agrega lo que está en negrita:

    </b:if>
    <b:if cond='data:blog.pageType == &quot;static_page&quot;'><data:post.body/></b:if>


    <b:if cond='data:blog.pageType == &quot;item&quot;'> <!--post page-->

    ResponderEliminar
  74. bellalice wayland, super sencillo ¿no? Qué bueno que te ha gustado :)

    ResponderEliminar
  75. potro probe mil veces como dijiste y ademas revise todo y nada....

    probe descargarla de nuevo y hacer todo y tampoco..
    figuran los codigos q me mandaste y suplante tal cual decis pero ahi hay algo raro


    te puedo mandar una copia o algo asi la ves quiza yo no me doy cuenta de algo...

    por favor si podes ayudarme te lo agradeceria muchisimo

    ResponderEliminar
  76. Lo siento zoom, como te dije antes, sino funciona tendrás que contactar al autor de la plantilla, no porque no quiera ayudarte sino porque desconozco por completo la estructura de esa plantilla y sólo el autor de ella sabría darte las instrucciones precisas y correctas.
    Yo ayer lo que hice fue seguir los pasos que te mencioné y al menos en un blog de pruebas dio resultado.

    ResponderEliminar
  77. Hola Potro mira perdón por no haber enviado antes la imagen aquí esta

    https://picasaweb.google.com/112576066564040353372/14DeOctubreDe2011#5663425815692939234

    https://picasaweb.google.com/112576066564040353372/14DeOctubreDe201102#5663425879110944146

    espero puedas ver lo que pasa ya que se ve en blanco el panel de diseño espero que puedas solucionarlo sino no importa.Bueno de antemano muchas gracias

    ResponderEliminar
  78. Hola ★Xx...Atem...xX★,

    Sigo sin poder ver las imágenes, esas URLs sólo tú puedes verlas desde tu cuenta :(
    Necesitas darle click a la imagen, cuando se muestre sola da click derecho sobre la imagen, aparecerá un menú contextual, ahí selecciona copiar la URL de la imagen.
    Esa es la URL de la imagen que sí podré ver ;)

    Saludos.

    ResponderEliminar
  79. No te preocupes Potro pude identificar el error y pude solucionarlo pero gracias de todas maneras creo que adquirí un poco de experiencia mas y bueno me voy cuidate y sigue asi con tu blog que esta muy bueno

    ResponderEliminar
  80. Hey potro hace unos dias quite la barra de blogger y le puse un carrucel de imagenes y ahora me salen dos espacios en blanco encima de la cabecera, mi blog es www.iEventsRD.blogspot.com a que se debe eso?

    ResponderEliminar
  81. Hola eliaspoy, mira esta entrada:
    http://ciudadblogger.com/2011/02/eliminar-espacio-superior-en-las.html

    ResponderEliminar
  82. Mil gracias potro, otras preguntas,1ra yo le puse una fuente a los titulos de los gadgets y al titulo de el blog y cuando la abro no me sale la fuente que le puse, 2da como le pongo los iconos de twitter, facebook y del feed en la barra de menu, 3ra: como pongo la barra de menu arriba de la cabecera, disculpe las molestias, gracias de antemano

    ResponderEliminar
  83. ¿Cómo pusiste la fuente en esas áreas, es decir, qué código usaste exactamente?
    Iconos no sé cuáles busques exactamente, pero los que ofrece Blogger son estos:
    http://ciudadblogger.com/2010/06/botones-para-compartir-de-blogger.html

    Para lo otro, mira esta entrada, sigue el segundo método sólo que en lugar de pegarlo debajo de lo pegarías arriba de la cabecera:
    http://ciudadblogger.com/2009/12/anadir-gadgets-abajo-de-la-cabecera-del.html

    ResponderEliminar
  84. Potro no encontre lo de la barra, y lo de las fuentes fue por el editor de plantillas use la fuente "Gruppo" y una ultima pregunta, en una entrada de blogger como puedo poner varios albumes de fotos con fotos diferentes?

    ResponderEliminar
  85. Ah, otra cosa potro, cuando hago una entrada todo bien pero cuando intento editarla o ponerle una etiqueta me da error a que se debe eso?

    ResponderEliminar
  86. Quizá no te hace válido el cambio de fuente porque arriba de las variables tienes un error en unos estilos que pusiste:

    #navbar-iframe { height:0px; display:none; visibility:hidden; }
    coin-slider { overflow: hidden; zoom: 1; position: relative; }

    Si te fijas antes de ese coin-slider hace falta un punto (.) debe ser así:

    #navbar-iframe { height:0px; display:none; visibility:hidden; }
    .coin-slider { overflow: hidden; zoom: 1; position: relative; }

    Los álbumes sólo crea una entrada o página independiente, ahí pones todas las fotos que quieras y en otra entrada o en un menú pones en enlace a ese "album".

    Lo otro debe ser porque estás cometiendo un error en el código, te debe aparecer un texto en color rojo, ahí te indica cuál es el error que estás cometiendo.

    ResponderEliminar
  87. tengo un problema al poner script src='https://ajax.googleapis.com/ajax/libs/jquery/1.6.4/jquery.min.js' type='text/javascript'

    antes de < / head >


    me mata el slider de la plantilla no funciona :S

    ResponderEliminar
  88. Entonces usa la versión que traía el slider. Como menciono en la entrada, algunos plugins no funcionan con otras versiones más nuevas así que hay que dejar su versión antigua, o buscar un slider que sí sea compatible con una versión de jQuery más actualizada.

    ResponderEliminar
  89. En la plantilla no me sale nada en rojo asi que no se que seria ese error, otra pregunta, por que puse el Coin slider en otro Blog que tengo y no funciono? y le puse la ultima version de jQuery y tampoco hizo nada, que seria eso?

    ResponderEliminar
  90. Pueden ser varias cosas, quizá no pusiste bien algún código, quizá la URL del archivo no es válida, quizá tienes otra versión de jQuery que hace conflicto, o tal vez tienes un script que no es compatible, pueden ser varias cosas.

    ResponderEliminar
  91. Hola Potro, MIL GRACIAS.

    Oye yo tengo esto:


    <script type='text/javascript'>

    var _gaq = _gaq || [];
    _gaq.push(['_setAccount', 'UA-22722526-1']);
    _gaq.push(['_trackPageview']);

    (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
    })();

    </script>
    <script src='http://ajax.googleapis.com/ajax/libs/jquery/1.3/jquery.min.js' type='text/javascript'/>
    <script src='http://dl.dropbox.com/u/22116370/Varios/Blog%20Clase/jquery.innerfade.js' type='text/javascript'/>
    <script type='text/javascript'>
    jQuery.noConflict();
    jQuery(document).ready(
    function(){
    jQuery('#news').innerfade({
    animationtype: 'slide',
    speed: 1000,
    timeout: 4000,
    type: 'sequence',
    });

    jQuery('ul#portfolio').innerfade({
    animationtype: 'fade',
    speed: 1000,
    timeout: 4000,
    type: 'sequence',
    });
    });
    </script>

    ResponderEliminar
  92. .... y he encontrado las líneas que comentas. Pero tengo alguna duda:

    1. ¿tengo que subir algún archivo y luego copiar la dirección de su URL ahí?

    2. ¿Con una sola frase de esas de jquery, ya funciona todo?

    3. ¿En el catálogo de librerías de jquery, qué tengo que coger? Además hay dos: JqueryUI y jquery (??)

    Gracias majo!!!

    PD: ¿Qué te ha parecido mi blog de curso? ;)

    ResponderEliminar
  93. He usado el rotador de banners y me funciona. ¿Es lo mismo que lo de rotador de anuncios con jquery???

    Gracs majo

    ResponderEliminar
  94. Hola Gorka,

    El rotador de banners es lo mismo pero no igual, vaya, cumple con la misma función pero no usa jQuery.
    El blog muy bueno aunque no pude detener a verlo con detenimiento pues siempre ando a las prisas.
    Lo único que necesitas es buscar las líneas que sean como las del ejemplo, esas son las versiones de jQuery (la de JqueryUI es aparte, esa déjala). En la página de Google Api verás la URL de la última versión, sólo tienes que ponerla como el ejemplo de la entrada.

    Saludos.

    ResponderEliminar
  95. Por cierto, yo sólo encontré una línea como la que dices, ¿Dónde están las demás? Como uso emailmeform y dijistes que usa jquery.

    Y una última cosica, lo que qería era exactamente el rotador de banners, ¿en qué afecta que no use jquery?

    Un abrazo

    ResponderEliminar
  96. Una está (o estaba) en la página del formulario, las otras dos en la Edición HTML de la plantilla.
    jQuery no te afecta con un rotador te banners, te afectaba el hecho de que al usar el de esta entrada se juntaban varias versiones de jQuery, entre ellas es el conflicto que hay.

    Saludos.

    ResponderEliminar
  97. Gracias Potro, como siempre. Me refería a qué diferencia hay entre usar el rotador de banners o el otro con jquery. A ver si es que era mucho mejor usar el de anuncios con jquery por alguna razón interesante.

    Gracias

    ResponderEliminar
  98. Ninguna en realidad, cumplen con la misma función sólo que usan diferente script.

    ResponderEliminar
  99. Hola, uso un menu desplegable con jquery funciona bien en internet explorer el tema es que al querer verlo desde google crome no se ve bien y no se puede apreciar bien, agradeceria si me puedes ayudar con eso este es mi blog lu3hau.blogspot.com Muchas Gracias!!!

    ResponderEliminar
  100. Hola Juan,

    No sé qué menú hayas usado, pero cuando se usan menús externos en esas plantillas primero debes hacer unas modificaciones:
    http://ciudadblogger.com/2011/03/como-usar-cualquier-menu-en-las.html

    Saludos.

    ResponderEliminar
  101. Hola, tengo un problemita aqui, tengo un ticker con un archivo .js y un slider tambien en jquery, pero hay un conflicto y no logro resolverlo, a lo mas que llego es a que funcionen los 2 pero si le pasas el puntero del mouse a 1 el otro ya no funciona, y ademas ya no se detiene en mouseover. este es el codigo del primero que llama al archivo TickerDer:



    var layerHeight = 500;
    var iFrame = 10;
    var iFrequency = 1;
    var speed = 20;
    var timer;
    var n1 = $("recently_sold_items");
    var n2 = $ ("recently_sold_items_a");
    var n3 = $ ("recently_sold_items_b");
    var goup = $ ("godown");
    var godown = $ ("goup")
    var h1 = n2.offsetHeight-layerHeight;
    if(n2.offsetHeight >= layerHeight)
    n1.style.height = layerHeight+'px';
    else
    n1.style.height = n2.offsetHeight+'px';
    n3.innerHTML = n2.innerHTML;

    function move(){
    if(n1.scrollTop >= n2.offsetHeight)
    n1.scrollTop -= (n2.offsetHeight - iFrame);
    else
    n1.scrollTop += iFrame;
    if(n1.scrollTop<=0) n1.scrollTop=h1-n1.scrollTop;

    }
    goup.onmousedown = function (){iFrame = +speed;return false;};
    goup.onmouseup = function(){iFrame=1};
    godown.onmousedown = function (){iFrame = -speed;return false;};
    godown.onmouseup = function(){iFrame=1};

    timer = setInterval("move()",iFrequency);
    n1.onmouseover=function() {clearInterval(timer);}
    n1.onmouseout=function() {timer=setInterval("move()",iFrequency);iFrame=1;}





    ======================== y este es el otro :



    $(document).ready(function() {
    moverSlider();
    $(".bajar-slider").click(function(){
    bajarSlider();
    });
    $(".subir-slider").click(function(){
    subirSlider();
    });
    $(".slider-vertical").mouseover(function(){
    verificar = 0;
    });
    $(".slider-vertical").mouseout(function(){
    verificar = 1;
    });
    });

    ===============================0
    Ya use el no conflict, y le cambie los "$" x "jQuery" e hice varias combinaciones pero nada me funciona
    a ver si alguin e podria ayudar, mil gracias.

    ResponderEliminar
  102. Quizá porque tienes dos eventos que son .onmouseover (aunque es igual al mouseover) y otro igual que es onmouseout (mouseout), así que esas funciones entran en conflicto entre ellas.
    ¿En cuál blog lo has puesto? Quizá viendo el código completo pueda comprender un poco más el problema.

    ResponderEliminar
  103. disculpa estaba viendo este tema y vi que si dos js eran difirentes versiones mas quise actualizar y me surgio esta duda cual debo de poner??

    path: https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js
    path(u): https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.js

    ResponderEliminar
  104. Cualquiera de las dos. La primera que mencionas es una versión comprimida de la otra, pero ambas deben funcionar igual de bien.

    ResponderEliminar
    Respuestas
    1. Hola EL Potro, amigo por servicio ayudame con mi plantilla,no se que pasa quiero poner el slide, el boton para compartir todo el blog que tienes al costado, debajo, pero te digo ninguna que use jquery me funciona e intentado poner como 100 veces y ninguna funciona y algunas no se ven nada por favor aunque sea te doy la contraseña de mi blog para que lo soluciones, e probado condistintas versiones y nada, hasta ya borre Scriptaculous, mi blog es http://sporthuancayo1.blogspot.com/ hasta pronto espero tu respuesta

      Eliminar
    2. No veo alguna causa probable de lo que mencionas, a menos que lo que quieras añadir simplemente no sea compatible con algún otro script, pero así a simple vista no encuentro problema alguno.

      Eliminar
  105. Hola Potro.
    Con la reciente aparición de los comentarios anidados y su incompatibilidad con scriptaculous, tengo que cambiar la librería, he buscado en el código y me aparece esto:


    google.load("prototype", "1");
    window.JSON = {
    parse: function (st) { return st.evalJSON(); },
    stringify: function(obj) { return Object.toJSON(obj); }
    };
    google.load("scriptaculous", "1");


    ¿Qué debo cambiar para usar jQuery?, ¿deberé cambiar el código de los gadget afectados o basta con cambiar la librería?.
    En estos momentos soy un mar de dudas, de nuevo ;)
    Un saludo.

    ResponderEliminar
    Respuestas
    1. Pues más que cambiar es ver si lo que usas con Scriptaculous existe para jQuery.
      Ese código que mencionas es Scriptaculous, si lo eliminas se acaba el problema con los comentarios, pero tienes que ver qué trucos usas con ese script para que así sepas si puedes usar alguno de jQuery (si lo hubiera), o si de plano eliminas ese efecto.
      Saludos.

      Eliminar
  106. despues de poner el codigo después de < head >
    busco la linea (control+F) con la expresion jquery/ y me sale esto 5 veces:
    <script src='http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js'

    PREGUNTA: tengo que cambiar la parte que dice 1.4.2 por 1.7.1 o borro toda esa linea??

    ResponderEliminar
    Respuestas
    1. Tienes que quitar todas y dejar sólo una, la más actual.

      Eliminar
  107. Hola potro, ya solucioné mi problema pero tuve que borrar lo de "share is sexy" que había instalado porque eso me daba problemas. No conocés ningún post donde esté bien hecho y no resulten las incompatibilidades por lo de jquery? Recién cuando borré todo lo que tenía de eso, ahí arrancó de nuevo el slide...avisame! gracias.

    ResponderEliminar
    Respuestas
    1. La verdad nunca he usado esa aplicación, pero no es que no esté bien hecho, es sólo que si usa jQuery hay que ver si funciona bien con una versión más actual. Tal vez puedas poner el script sin necesidad de poner el de jQuery, pues como el slider ya tiene el jQuery podría funcionar con ese.

      Eliminar
  108. A ver si entendí...instarlo todo pero borro lo que se refiere a JQuery, sólo ésa línea? y pruebo a ver si con la jquery del slide ya funciona? gracias.

    ResponderEliminar
    Respuestas
    1. Exacto. Con suerte y funcione con la versiones del script de jQuery que ya usas.

      Eliminar
  109. Este comentario ha sido eliminado por el autor.

    ResponderEliminar
  110. Hola,me dijiste k buscara dos "jquery.js" y eliminara uno pero solo me aparece un jquery.js .He puesto la ultima versión y sigue sin funcionar en mozilla y crhome.Lo raro es k hace dos dias funcionaba todo.Alguna sugerencia?.Gracias.

    ResponderEliminar
    Respuestas
    1. Hola Oskar, tienes dos scripts de jQuery, la versión normal y la minimizada:
      <script src='https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.js' type='text/javascript'></script>

      <script src='https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js' type='text/javascript'></script>

      Sólo debes tener una de ellas.
      Saludos.

      Eliminar
    2. Hola El potro,he borrado uno y sigue sin funcionar.Otra sugerencia?Gracias por la respuesta

      Eliminar
    3. Hola Oskar, acabo de ver que los archivos de tu menú no están disponibles:
      http://convergence.themedemo.net/wp-content/themes/convergence/js/superfish.js
      http://convergence.themedemo.net/wp-content/themes/convergence/superfish.css

      Si entras a ambas direcciones verás que muestra error.
      Sin esos archivos funcionando tu menú no podrá funcionar como es debido.
      Saludos.

      Eliminar
    4. Este comentario ha sido eliminado por el autor.

      Eliminar
    5. Este comentario ha sido eliminado por el autor.

      Eliminar
  111. Muchisimas gracias El Potro,creo k lo he solucionado...;)

    ResponderEliminar
  112. Hola amigo portro mira no entiendo mucho de esto cuando te hare varias preguntas.
    Cuando dices eliminar te refieres a eliminar la linea completa de la version? es decir esta linea

    script src='http://ajax.googleapis.com/ajax/libs/jquery/1.3/jquery.min.js' type='text/javascript'/

    Esa es la del carrusel que saque de uno de tus tutoriales, esa hay que sustituirla?

    Tengo varios codigos cuando elimine tengo que ponerle a cada codigo la nueva version o solo lo coloco una vez antes de /head?

    Disculpa tanta pregunta hermano.

    ANTONIO PALENCIA

    ResponderEliminar
    Respuestas
    1. En efecto Antonio, eliminarla es quitarla, en su lugar pon la versión del script más reciente; recuerda que sólo debe haber una versión de jQuery, todas las demás deben quitarse. Pon sólo una, preferentemente después de <head>

      Eliminar
    2. Ok potro yo tengo varias version de jquery entonces las eliminare todas y colocare esa despues de head, gracias una vez mas.

      Eliminar
  113. Hola El Potro, me acabo de dar cuenta que tengo el código jquery en mi plantilla 2 veces y funciona perfectamente, el problema es que si quito uno ya no funciona. También me he dado cuenta que tengo el código del Shadowbox repetido 2 veces y si quito una ya no funciona.
    El blog: todaymotor.blogspot.com

    ResponderEliminar
    Respuestas
    1. Hola Josep-Pepe, lo de jQuery es entendible, a veces algunos plugins sólo funcionan con determinada versión de jQuery, así que ese podría ser el caso.
      Pero con Shadowbox no debería pasar eso, prueba quitarlo y déjalo así para que entre a ver cómo se comporta el script.

      Eliminar
  114. Grasias potro te debo una muxas grasias

    ggggggggraaaaaaaaaxxxxxx

    ResponderEliminar
  115. Hola potro, yo quisiera actualizar scriptaculous en mi plantilla ¿como debo de cambiarlas? estas son las lineas:
    <!-- Prototype y Scriptaculous -->
    <script src='http://www.google.com/jsapi'/>
    <script>
    google.load(&quot;prototype&quot;,&quot;1.6.0.3&quot;);
    google.load(&quot;scriptaculous&quot;, &quot;1.8.2&quot;);
    </script>
    <!-- Prototype y Scriptaculous -->

    ResponderEliminar
    Respuestas
    1. Mira esta entrada dioscaficho:
      http://ciudadblogger.com/2012/04/por-si-scriptaculous-te-dejo-de.html

      Eliminar
  116. potro tengo un problema yo ya uso jquery y la que tengo es la ultima actualizacion 1.7.1, quiero colocar el boton de ir arriba que se desbanese y no me sirve, el boton aparece pero no suve y nunca se oculta, y como vi que si ya tenia jquery no lo colocara de nuevo, tonces no lo coloque pero aun asi no me sirve el boton que ago?

    ResponderEliminar
    Respuestas
    1. Hola augusto, ¿en cuál blog has puesto el botón?

      Eliminar
    2. hola potro pues en este momento no te doy la url pues al ver que no servia el boton lo elimine. pero si necesitas algo, yo lo coloco y despues te doy la url.
      espero me puedas ayudar potro muchas gracias.

      Eliminar
    3. Siempre tiene que estar colocado todo, aun cuando no sirva, sólo de esa manera puedo ver qué puede estar pasando ;)
      Saludos.

      Eliminar
  117. Este comentario ha sido eliminado por un administrador del blog.

    ResponderEliminar
  118. Heyy protro hermano, aqui estoy con un problemita jjejeje he instalado una plantillase llama Glamour es del 2010 !creo! y lo que sucede que la garelia deslizante de la portada no me funciona, he actualizado la JQUERY pero aun sigue igual y no se que hacer aqui te dejo el link del blog donde lo instalé y el link de el demo de la plantilla de donde lo descarge, espero con tu consejo poder resolver este problemita que tengo y gracias por la ayuda incondicional que siempre nos brindas a tus seguidores ;)

    DONDE LO INSTALÉ
    http://badajoznocturna.blogspot.com

    EL DEMO
    http://glamour-dzignine.blogspot.com.es

    ResponderEliminar
    Respuestas
    1. Hola SDN, entré pero veo funcionando el slider sin problema, supongo que ya lo has resuelto.
      Saludos.

      Eliminar
    2. Si hermano, lo que pasa fue que encontré una plantilla muy similar a la otra, si te fijas bien la que está haora y que tiene el slider funcionando noe s la misma que la que está en el demo y como esta otra era muy similar y no tenia el problema con la slider pues la instalé jeje ;) Gracias Hermano!!

      Eliminar
  119. Idea mia o Fancybox ya no funciona en Chrome? Tengo un blog y las imagenes del fancy no habren en chrome y con IE y mozilla ningun problema...

    ResponderEliminar
    Respuestas
    1. No sabría decirte Actkqk, como no tengo una entrada de esas ventanas modales no sé qué cambios haya habido (en caso de que así fue).

      Eliminar
  120. Gracias excelente info - Felices vacaciones lo mereces :)

    ResponderEliminar
  121. Hola Potro
    tengo un problema con el menu desplegable de mi pagina. Se supone que al pasar el puntero del mouse se debieran desplegar las opciones, pero sucede que a veces no porque se abre y se cierra rapidamente. A mi me parece que debe haber algun conflicto. He actualizado la version de jquery, encontre una y la cambie por la 1.8.1 y ni aun asi mejora sigue igual. El menu desplegable es muy importante para mi. Espero me ayudes estoy preocupado. Gracias de antemano.
    te dejo el link de mi site:
    www.rainbowasi.com

    ResponderEliminar
    Respuestas
    1. Hola luca, he entrado pero el menú lo veo funcionando bien, no he encontrado ese problema que mencionas.

      Eliminar
  122. hola potro , he visto que han sacado una version nueva de jquery , pero no se donde tengo que conseguir el codigo.LLevo unos dias que no me funciona bien el blog y quizas sea por que tengo que actualizar el jquery.Sobre todo no me funciona el reproductor de música.¿Puedes echar un ojo y decirme algo?.Gracias.

    ResponderEliminar
    Respuestas
    1. Hola COFRADIA, que haya una nueva versión de jQuery no quiere decir que las que tengas hayan dejado de funcionar. Si algo no anda funcionando en tu blog debe ser por algún cambio que hiciste.
      Los reproductores no sé a cuáles te refieras, pero al menos los que están en las entradas y el de MixPod yo los he visto funcionando bien, lo que sí es que tarda una eternidad en cargar tu blog :s

      Eliminar
  123. Eres sensacional potro no me canso de entrar a tu blog.

    muchas gracias!!

    ResponderEliminar
  124. Hola Potro..Como estas?
    Me dejas pensando con esto de jquery..


    Creo que debo tener 3 o 4 jquery,todo lo que tengo funciona bien,que me recomiendas tu? esa linea despues de head tengo que actualizarla? eso si me da algo de temor cambiar,porque ahi aparece 1.8.2

    No te lo coloco como esta ahi,porque el comentario no lo permite.

    y me sale que no puede analizar la plantilla,pero leo que aqui en el enlace que colocaste al principio

    https://developers.google.com/speed/libraries/devguide?hl=es-ES#jquery

    dice esto:
    versiones: 1.8.2, 1.8.1, 1.8.0, 1.7.2, 1.7.1, 1.7.0, 1.6.4, 1.6.3, 1.6.2, 1.6.1, 1.6.0, 1.5.2, 1.5.1, 1.5.0, 1.4.4, 1.4.3, 1.4.2, 1.4.1, 1.4.0, 1.3.2, 1.3.1, 1.3.0, 1.2.6, 1.2.3

    La mia dice 1.4.2 entonces la dejo igual?

    Esta me parece que es la pregunta mas enredada que te he hecho...
    Besitos y Gracias.

    ResponderEliminar
    Respuestas
    1. Si todo funciona bien y si no quieres complicarte déjalo como está, si deseas tener sólo una versión entonces lo ideal es tener la última, en este caso la 1.8.2
      No está de más que antes de hacer estos cambios hagas un respaldo de la plantilla, por si acaso.

      Eliminar
  125. Hola Potro,ya la actualice a 1.8.2 y lo demas funciona bien..:-)

    ResponderEliminar
  126. Hola Potro, un saludo.

    Estoy experimentando con un primer blog, sin conocimiento absoluto de html. Estábamos trabajando con otras personas en el sitio, y la persona encargada de subir una galería de imágenes generó ( no se cómo) dos entradas las que quedaron desconfiguradas. Las imágenes provienen mayoritariamente de una galería Flickr , aunque no todas. Intento en la plantilla identificar tamaños para proporcionarlas, pero hay diferentes enlaces y al final es un caos de desorden y tamaños. Mi pregunta: ¿Es posible tener una aplicación para slides (estaba leyendo esto de jquery)con imágenes de diferentes servidores en una entrada? ¿Me puedes orientar cómo lograrlo?

    La pagina es http://parque-huerquehue.blogspot.com/

    Te agradezco tu apoyo y felicitaciones por los excelentes aportes :)

    ResponderEliminar
    Respuestas
    1. Hola HUERQUEHUE, mira la categoría "Slideshows", ahí encontrarás varios sliders, la mayoría de ellos tú pones manualmente la URL de la imagen, así que en ellos no importa dónde esté alojada dicha imagen, en otros casos será necesario que las imágenes se hayan subido directo desde Blogger.
      Saludos.

      Eliminar
  127. Hola El Potro espero que me puedas ayudar!!!!
    Tengo que entregar un trabajo y estuve 3 días tratando de solucionar este problema, espero que me den una mano.
    Estoy armando un sitio que tiene un background que va cambiando, es un jQuery y una galeria de imagenes pop up, el problema es que la imagen no hace el efecto que debería.
    Si saco esta linea de código si funciona la galeri pero no el background de fondo:

    "http://code.jquery.com/jquery-1.5.2.min.js

    Alguien me puede decir que puedo hacer para que funcionen las 2 a la ves, le paso el link del trabajo.

    http://www.seoadn.com.ar/screen/Back2.html

    Mil gracias..

    ResponderEliminar
    Respuestas
    1. Podría ser que el fondo sólo funciona con esa versión específica de jQuery, recuerda dejar sólo una versión, también cerciórate que la galería o el fondo no funcionen con Scriptaculous, Protoype, o Mootools ya que son incompatibles con jQuery.

      Eliminar
  128. Hola El Potro espero que me puedas ayudar!!!!
    Tengo que entregar un trabajo y estuve 3 días tratando de solucionar este problema, espero que me den una mano.
    Estoy armando un sitio que tiene un background que va cambiando, es un jQuery y una galeria de imagenes pop up, el problema es que la imagen no hace el efecto que debería.
    Si saco esta linea de código si funciona la galeri pero no el background de fondo:

    src="http://code.jquery.com/jquery-1.5.2.min.js">

    Alguien me puede decir que puedo hacer para que funcionen las 2 a la ves, le paso el link del trabajo.

    http://www.seoadn.com.ar/screen/Back2.html

    Mil gracias..

    ResponderEliminar
  129. Estoy haciendo una pagina con un efecto de esta pagina:http://www.addyosmani.com/resources/shinetime/ el cual usa la version http://code.jquery.com/jquery-1.4.2.min.js
    lo he descargado y probado, todo perfecto pero cuando intento actualizarlo para trabajar con el jquery acutal:http://code.jquery.com/jquery-1.8.3.js, tiene problemas con los efectos, he intentado con :jQuery.noConflict(); pero sin exito, si alguien tiene alguna otra solucion les agradeceria mucho!!!!

    ResponderEliminar
    Respuestas
    1. Algunos plugins sólo funcionan con ciertas versiones de jQuery, tendrías que ver si el efecto en cuestión tiene una actualización, usualmente cuando hay una versión más reciente del plugin significa que se puede usar también con versiones más nuevas de jQuery.

      Eliminar
  130. Buenos Dias, me puedes ayuda. lo que pasa es que tengo un proyecto en asp.net mvc 4 con entity framework sql server 2008, el asp.net mvc con razor. me he complicado por que quiero agregar un tab y un grid y no se como no encuentro manual o ejemplo del tema que me sugieres o como podria solucionarlo.

    ResponderEliminar
    Respuestas
    1. Ni idea Jorge, únicamente trabajo bajo la plataforma de Blogger :/

      Eliminar
  131. Potro,tengo dos gagdtes Jquery y solo me funciona uno, pero no entiendo muy bien el proceso. no se como buscar en la plantilla, no me aparecen son solo gagdets.

    ResponderEliminar
    Respuestas
    1. Si están dentro de un gadget HTML/Javascript entonces busca ahí esos scripts y elimina el que creas conveniente.

      Eliminar
  132. Hola Potro, Muchas gracias por tu post, de verdad me RESOLVIO el problema. Todo funciona de nuevo! :D

    Lo único extraño, es q me metí en el catálogo de librerías de Google API como comentaste, coloque la última versión a la que ellos hacen referencia (/jquery/1.9.0/) y no anda. Por que será?? Como no funcionó coloque la que tu mencionas, y si anda de maravilla.

    De nuevo Mil gracias. SALUDOS

    ResponderEliminar
  133. Hola Potro, Muchas gracias por tu post, de verdad me RESOLVIO el problema. Todo funciona de nuevo! :D

    Lo único extraño, es q me metí en el catálogo de librerías de Google API como comentaste, coloque la última versión a la que ellos hacen referencia (/jquery/1.9.0/) y no anda. Por que será?? Como no funcionó coloque la que tu mencionas, y si anda de maravilla.

    De nuevo Mil gracias. SALUDOS

    ResponderEliminar
    Respuestas
    1. Es porque esa última versión no es compatible con muchos plugins de jQuery, lo mejor es usar una anterior a ella, por ejemplo la 1.8.2 con esa es casi seguro que no hay problemas ;)

      Eliminar
  134. Potro,

    Podrías ayudarme por favor. Estoy tratando de crear dos slides independientes en una misma página. Probé la solución que diste a george hace años atras, agregando la linea $("#main-photo-slider1").codaSlider(); en la funcion y cambiando el nombre del segundo div.
    Esta solución ,ejoró la presentación, pero la segunda slide continuan sin moverse.
    Lo que busco es una solución como la que está en esta página:
    http://dev2.pelli.co.uk/multiple-coda-sliders/codaslider.html

    He probado de mil formas sin éxito.
    Te agradecería si pudieses ayudarme.

    ResponderEliminar
    Respuestas
    1. Hola Nicolás, ¿cuál slider estás poniendo y en cuál blog?

      Eliminar
  135. Hola Potro felicidades por tu blog y tus aportes, estoy tratando de poner el coin slider y no me funciona en mi blog, me puedes ayudar por favor.

    ResponderEliminar
  136. Hola Potro felicidades por tu blog y tus aportes, estoy tratando de poner el coin slider y no me funciona en mi blog, me puedes ayudar por favor.

    ResponderEliminar
    Respuestas
    1. Gracias :)
      Habría que ver en cuál blog lo has puesto.

      Eliminar
  137. hola hermano, primero que nada gracias por este post esta muy interesante, pero lamentablemente no me soluciono mi problema..

    tengo dos archivos .js
    (https://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js)
    y
    (http://cdn.adf.ly/js/entry.js)

    cuando introduzco el segundo mediante un widget dentro de la opcion de diseño en blogger se daña el slide de la pagina principal, el slide deja de funcionar..

    lo eh intentado de todo, y no logro solucionar... y estoy segudo que es una especie de conflicto ya que desde que elimino el widget vuelve a funcionar el slide...

    te agradezco tu ayuda!!!

    blog. www.androtecnology.com

    ResponderEliminar
    Respuestas
    1. Pues eso Julio, el script de Adf.ly parece que no es compatible con tu slider. Habrá que elegir otro slider, o eliminar el script de la publicidad.

      Eliminar
  138. Hola potro, hace poco que comence a crear un blog, no se mucho del tema, pero tus aportes son de mucha ayuda! le quiero agregar a mi blog este slider(el chiquito con varias imagenes) http://btemplates.com/2013/blogger-template-valor/demo/ pero no se cual es el codigo, si alguien me lo pudiera pasar les agradeceria mucho!!!! te dejo mi mail diego92_punk-rock@hotmail.com

    ResponderEliminar
    Respuestas
    1. Hola diego, no conozco ese slider, tal vez el autor de la plantilla pueda guiarte sobre el tema.
      Saludos.

      Eliminar
  139. Hallo...reapareciste....Besotes...:-)))

    ResponderEliminar
    Respuestas
    1. Nunca me he ido por completo (•‾॒̑ ູ॒•)

      Eliminar
  140. mira que se me están duplicando pero no se porque esta todo igualito a como lo tienes.

    ResponderEliminar
  141. Nira que lo tengo igualito y a patrtir del segundo se dublican los gatgets

    ResponderEliminar
    Respuestas
    1. No he comprendido Diego, ¿cuál es exactamente el problema y en cuál blog?

      Eliminar
  142. Estimado Potro

    Perdona mi ignorancia en este tema, pero podrías decirme, de un modo general, cómo se aplican los códigos de jQuery a Blogger?? He intentado instalar cosas y no sé cómo ni dónde se "pegan" los códigos,sé que hay cosas que van dentro de head, otras dentro de body, en fin...te agradecería que pudieras ayudarme.

    Gracias, Dani

    ResponderEliminar
    Respuestas
    1. Hola Dani, eso depende de lo que quieras aplicar, si es algo visto aquí en Ciudad Blogger entonces en cada entrada dirá en lugar preciso de dónde colocar cada cosa ;)

      Eliminar
  143. Hola. Tengo el siguiente problema y acudo a su conocimiento para buscar una solucion.

    tengo un pequeño scrip que no se ejecuta o entra en conflicto cuando agrego jquery, traté de solucionarlo con jQuery.noConflict();, como ven, sin éxito.


    $(document).ready(function() {
    jQuery.noConflict();
    function showgenero(str)
    {
    if (str=="")
    {
    jQuery(document).getElementById("listado").innerHTML="";
    return;
    }
    if (jQuery(window).XMLHttpRequest)
    {
    xmlhttp=new XMLHttpRequest();
    }
    else
    {
    xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
    }
    xmlhttp.onreadystatechange=function()
    {
    if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    jQuery(document).getElementById("listado").innerHTML=xmlhttp.responseText;
    }
    }
    xmlhttp.open("GET","getuser.php?q="+str,true);
    xmlhttp.send();
    }
    })


    los jquery que utilizo son




    Nota. Cambié la etiqueta a scrip (sin t) para poder publicar.
    Gracias

    ResponderEliminar
  144. Hola. Tengo el siguiente problema y acudo a su conocimiento para buscar una solución.

    Tengo un pequeño scrip que no se ejecuta o entra en conflicto cuando agrego jquery, traté de solucionarlo con jQuery.noConflict();, como ven, sin éxito.


    $(document).ready(function() {
    jQuery.noConflict();
    function showgenero(str)
    {
    if (str=="")
    {
    jQuery(document).getElementById("listado").innerHTML="";
    return;
    }
    if (jQuery(window).XMLHttpRequest)
    {
    xmlhttp=new XMLHttpRequest();
    }
    else
    {
    xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
    }
    xmlhttp.onreadystatechange=function()
    {
    if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    jQuery(document).getElementById("listado").innerHTML=xmlhttp.responseText;
    }
    }
    xmlhttp.open("GET","getuser.php?q="+str,true);
    xmlhttp.send();
    }
    })


    Los jquery que utilizo son




    Nota: Cambié la etiqueta scrip (sin t) para poder publicar
    Gracias

    ResponderEliminar
    Respuestas
    1. Hola, agrega el jQuery.noConflict(); arriba de esta línea:
      $(document).ready(function() {

      Y también ese $ deberás cambiarlo por jQuery

      Eliminar
  145. Hola, yo estoy trabajando por primera vez con jquery y tengo un problema en mi galeria de fotos. Buscando el problema me encuentro que cuando levanta los objetos de la pagina me levanta duplicado, es decir dos veces las mismas imagenes, la sentencia que pone en el archivo de jquery.prettyPhoto.js es:

    theRel = $(this).attr('data-gal');
    galleryRegExp = /\[(?:.*)\]/;
    isSet = (galleryRegExp.exec(theRel)) ? true : false;
    alert("antes de asignar el objeto map " +theRel);
    // Put the SRCs, TITLEs, ALTs into an array.
    pp_images = (isSet) ? jQuery.map(matchedObjects, function(n, i){ if($(n).attr('data-gal').indexOf(theRel) != -1) return $(n).attr('href'); }) : $.makeArray($(this).attr('href'));
    pp_titles = (isSet) ? jQuery.map(matchedObjects, function(n, i){ if($(n).attr('data-gal').indexOf(theRel) != -1) return ($(n).find('img').attr('alt')) ? $(n).find('img').attr('alt') : ""; }) : $.makeArray($(this).find('img').attr('alt'));
    pp_descriptions = (isSet) ? jQuery.map(matchedObjects, function(n, i){ if($(n).attr('data-gal').indexOf(theRel) != -1) return ($(n).attr('title')) ? $(n).attr('title') : ""; }) : $.makeArray($(this).attr('title'));
    alert("antes de asignar el objeto map " + pp_images);
    set_position = jQuery.inArray($(this).attr('href'), pp_images); // Define where in the array the clicked item is positionned
    rel_index = (isSet) ? set_position : $("a[data-gal^='"+theRel+"']").index($(this));
    alert("set_position " + set_position);

    ResponderEliminar
    Respuestas
    1. Hola Martita, honestamente nunca he trabajado con prettyPhoto, pero si buscas algo muy similar está Shadowbox, es muy sencillo de usar y no requiere jQuery:
      http://ciudadblogger.com/2010/04/shadowbox-ventanas-modales-multimedia.html

      Eliminar
  146. Este comentario ha sido eliminado por el autor.

    ResponderEliminar

Si tu blog contiene material protegido por derechos de autor habilita tu perfil y deja únicamente el nombre de tu blog, no dejes la dirección del mismo, de lo contrario el comentario será eliminado.

 
Ir Arriba Ir Abajo
I Ciudad Blogger